Bug 1191081 (CVE-2014-9659) - CVE-2014-9659 freetype: stack-based buffer overflow in cff/cf2intrp.c in the CFF CharString interpreter
Summary: CVE-2014-9659 freetype: stack-based buffer overflow in cff/cf2intrp.c in the ...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2014-9659
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1191099
Blocks: 1191102
TreeView+ depends on / blocked
 
Reported: 2015-02-10 12:50 UTC by Vasyl Kaigorodov
Modified: 2021-02-17 05:40 UTC (History)
5 users (show)

Fixed In Version: freetype 2.5.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-19 22:04:40 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-02-10 12:50:27 UTC
Common Vulnerabilities and Exposures assigned CVE-2014-9659 to the following issue:

cff/cf2intrp.c in the CFF CharString interpreter in FreeType before 2.5.4
proceeds with additional hints after the hint mask has been computed, which
allows remote attackers to execute arbitrary code or cause a denial of service
(stack-based buffer overflow) via a crafted OpenType font.  NOTE: this
vulnerability exists because of an incomplete fix for CVE-2014-2240.

http://code.google.com/p/google-security-research/issues/detail?id=190
http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=2cdc4562f873237f1c77d43540537c7a721d3fd8

Comment 1 Vasyl Kaigorodov 2015-02-10 12:55:42 UTC
Created freetype tracking bugs for this issue:

Affects: fedora-all [bug 1191099]

Comment 2 Fedora Update System 2015-02-19 18:00:49 UTC
freetype-2.5.3-15.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Tomas Hoger 2015-02-19 22:04:40 UTC
Upstream bug is:
https://savannah.nongnu.org/bugs/?43661

Issue was fixed upstream in 2.5.4.

Report indicates this is issue is an incomplete fix / variant of the CVE-2014-2240 issue (bug 1074646).  It affects code which was introduced in upstream version 2.4.12, and enabled by default in 2.5.  The affected code is not in freetype packages in Red Hat Enterprise Linux 7 and earlier.

Statement:

Not vulnerable. This issue did not affect the versions of freetype as shipped with Red Hat Enterprise Linux 5, 6 and 7.


Note You need to log in before you can comment on or make changes to this bug.